sc::Thread(3)

NAME
sc::Thread - The Thread abstract class defines an interface which must be implemented by classes wishing to be run as threads.

SYNOPSIS

#include <thread.h>

Inherited by sc::CSGrad34Qbtr, sc::CSGradErep12Qtr, sc::CSGradS2PDM, sc::GBuild< T >, sc::HSOSV1Erep1Qtr, sc::TBGrad< T >, sc::TwoBodyMOIntsTransform_123Inds, sc::TwoBodyMOIntsTransform_12Inds, and sc::TwoBodyMOIntsTransform_13Inds.

  Public Member Functions
virtual void run ()=0
This is called with the Thread is run from a ThreadGrp.

  Static Public Member Functions
static void * run_Thread_run (void *thread)

Detailed Description

The Thread abstract class defines an interface which must be implemented by classes wishing to be run as threads.

Author

Generated automatically by Doxygen for MPQC from the source code.